/*****************************************************************************
 * $Id: plugin.h,v 1.10 2005/04/09 13:19:25 alainjj Exp $
 * Program under GNU General Public License (see ../COPYING)
 *****************************************************************************/

#ifndef _XDTV_PLUGIN_H_
#define _XDTV_PLUGIN_H_

#include <stdlib.h>
#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/neXtaw/Command.h>
#include <X11/neXtaw/Paned.h>
#include <sys/time.h>

#include "vop.h"
#include "aop.h"
#include "xdtv.h"
#include "strtab.h"
#include "toolbox.h"
#include "blackborder.h"
#include "memcpy.h"
#include "grab.h" /* for the CAPTURE_* */


#define XDTV_PLUGIN_API 0x020000
extern Widget tv, app_shell, plugin_paned;
extern XtAppContext app_context;
extern struct CALL_ACTION call_help;
extern char title[],user_dir[];
extern Atom wm_protocols[2];
extern int debug, vbifd, alevt_in_use,cur_secam,cur_capture;
void register_initaction(void (*f)(void));
void register_idleaction(void (*f)(void));
void register_parseopts(int (*f)(int argc,char *argv[],int *i));
/* aop_register/vop_register are in aop/vop.h */


/* DO NOT USE THESE FUNCTIONS FOR THE PLUGINS */
void plugins_close(void);
void plugin_idle_actions(void);
void plugin_init_actions(void);
void set_plugdir(char *dirname);
void load_plugins(void);
void load_plugin(char *name, int exit_on_error);
int plugin_parse_opts(int argc,char *argv[],int *i);
#endif
